<?
include_once("./_common.php");
if (!$is_member) {
    echo "평가는 회원만 가능합니다.";
    exit;
}

if (!($bo_table && $wr_id)) {
	echo "값이 제대로 넘어오지 않았습니다.";
	exit;
}

$ss_name	= "ss_view_{$bo_table}_{$wr_id}";
if (!get_session($ss_name) && ($mode != "comment")) {
	echo "해당 게시물에서만 추천 또는 비추천 하실 수 있습니다.";
	exit;
}

$row		= sql_fetch(" select count(*) as cnt from {$g4[write_prefix]}{$bo_table} ", FALSE);
if (!$row[cnt]) {
	echo "존재하는 게시판이 아닙니다.";
	exit;
}

if ($good == "good" || $good == "nogood") {
    if($write[mb_id] == $member[mb_id]) {
		echo "자신의 글은 투표 하실 수 없습니다.";
		exit;
	}

    if (!$board[bo_use_good] && $good == "good") {
		echo "이 게시판은 추천 기능을 사용하지 않습니다.";
		exit;
	}
    if (!$board[bo_use_nogood] && $good == "nogood") {
		echo "이 게시판은 비추천 기능을 사용하지 않습니다.";
		exit;
	}

	//-- 이미 추천 됐는지 체크
	$searchkey	= "@" . $member[mb_id] . "@" . $_SERVER[REMOTE_ADDR] . "@";			//-- 검색 할 때는 투표 시간은 제외
	$rdGood		= sql_fetch("select db_recno from $zmb[table_good] where db_table='$bo_table' and db_wrid='$wr_id' and (db_flag like '%$searchkey%')");
	if($rdGood[db_recno]) {
		echo "이미 평가 하셨습니다.";
		exit;
	}else{
		//-- 추천 되지 않았다면 추천, 비추천 증가
        sql_query(" update {$g4[write_prefix]}{$bo_table} set wr_{$good} = wr_{$good} + 1 where wr_id = '$wr_id' ");
        //-- 평기 기록 작성. ex)#123456789@ziumsoft@124.154.174.64@good#123456789@zium@145.12.24.65@nogood# 시간@아이디@아이피
		$insertTmp	= "#" . time() . "@" . $member[mb_id] . "@" . $_SERVER[REMOTE_ADDR] . "@" . $good;
		$rcdExist	= sql_fetch("select db_recno, db_flag from $zmb[table_good] where db_table='$bo_table' and db_wrid='$wr_id'");
		if($rcdExist[db_recno])	{
			$insertflag	= $rcdExist[db_flag] . $insertTmp;
			$iQry		= "update $zmb[table_good] set db_flag='$insertflag' where db_table='$bo_table' and db_wrid='$wr_id'";
		}else
			$iQry		= "insert into $zmb[table_good] set db_table='$bo_table', db_wrid='$wr_id', db_flag='$insertTmp'";
		sql_query($iQry);

		$brdGood	= sql_fetch("select wr_good, wr_nogood from {$g4[write_prefix]}{$bo_table} where wr_id='$wr_id'");
		if($mode == "comment")
			echo "good/$brdGood[wr_good]/$wr_id";
		else
			echo "good/$brdGood[wr_good]/nogood/$brdGood[wr_nogood]";
	}
}
?>